@import "src/assets/styles/00-settings/settings";

$app-header-height: 60px;
$main-content-header-height: 80px;
$main-content-padding: 30px;

.app {
  display: grid;
  grid-template: $app-header-height 1fr / auto 1fr;
  width: 100vw;
  height: 100vh;
  color: $color-text;

  .app-header {
    grid: {
      row: 1;
      column: 1 / span 2;
    }
  }

  .app-navbar {
    grid: {
      column: 1;
      row: 2;
    }
  }

  .app-content {
    background-color: $color-background-primary;
    display: grid;
    grid: {
      column: 2;
      row: 2;
    }

    router-outlet {
      display: none;
    }

    ::ng-deep {
      .main-container {
        height: 100%;
        width: 100%;
        display: grid;
        grid-template-rows: $main-content-header-height calc(100vh - #{$main-content-header-height} - #{$app-header-height});

        .main-header {
          grid-row: 1;
          display: grid;
          border-bottom: 1px solid $color-border;
          align-items: center;
          padding: 0 30px;

          h2, h3, h4 {
            margin: 0;
          }
        }

        .main-content {
          grid-row: 2;
          padding: $main-content-padding;
          overflow-y: auto;
          height: calc(100vh - 60px);

          .content-title {
            font-weight: 500;
            font-size: 20px;
            border-bottom: 1px solid black;
            padding: 10px 0;
          }
        }
      }
    }
  }
}

@media screen and (max-width: $M) {
  .app {
    app-header {
    }

    app-navbar {
    }

    .app-content {
      ::ng-deep {
        .main-container {
          grid-template-rows:0 1fr;

          .main-header {
            display: none;
          }

          .main-content {
          }
        }
      }
    }
  }
}
